Name:		kdmtheme
Version:	1.1.2
Release:	1%{?dist}
Summary:	Theme Manager for KDM

License:	GPL
Group:		User Interface/Desktops
URL:		http://beta.smileaf.org

Source0:	http://beta.smileaf.org/files/%{name}/%{name}-%{version}.tar.bz2

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	  kdelibs-devel, desktop-file-utils, kdebase-devel

%description
KDM Theme manager is just what it says a theme Manager for KDM.
This control module allows you to easily add, remove and select
any KDM theme you want.

%prep
%setup -q

%build
%configure \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --enable-final

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Fix absolute symlink
rm -f $RPM_BUILD_ROOT%{_docdir}/HTML/en/%{name}/common
ln -s ../common $RPM_BUILD_ROOT%{_docdir}/HTML/en/%{name}/common

desktop-file-install --vendor="" \
    --add-category X-Fedora \
    --add-category System \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
    $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/applications/kde/*.desktop
%{_libdir}/kde3/kcm_*.*
%{_docdir}/HTML/*/%{name}/

%changelog
* Tue Jun 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.1.2-1
- Initial package.
